com.genesyslab.wfm7.API.service.schedule750

## Class SchScenarioSite

- java.lang.Object
- - com.genesyslab.wfm7.API.service.schedule750.SchScenarioSite

- All Implemented Interfaces:
    java.io.Serializable

      public class SchScenarioSite
      extends java.lang.Object
      implements java.io.Serializable

  Schedule Scenario Site Information
  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `private int[]` | `schActivities` List of activity identifiers for which the schedule should be built.
    `private int` | `schActivitiesNSizeIs` The number of elements in the 'schActivities' array.
    `private SchScenarioAgent[]` | `schAgents` An array of `SchScenarioAgent`, specifying agents in the scenario.
    `private int` | `schAgentsNSizeIs` The number of elements in the 'schAgents' array.
    `private int` | `wmSiteId` Site ID

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `SchScenarioSite()`
    `SchScenarioSite(int wmSiteId, int schActivitiesNSizeIs, int[] schActivities, int schAgentsNSizeIs, SchScenarioAgent[] schAgents)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `int[]` | `getSchActivities()` Gets the schActivities value for this SchScenarioSite.
    `int` | `getSchActivitiesNSizeIs()` Gets the schActivitiesNSizeIs value for this SchScenarioSite.
    `SchScenarioAgent[]` | `getSchAgents()` Gets the schAgents value for this SchScenarioSite.
    `int` | `getSchAgentsNSizeIs()` Gets the schAgentsNSizeIs value for this SchScenarioSite.
    `int` | `getWmSiteId()` Gets the wmSiteId value for this SchScenarioSite.
    `void` | `setSchActivities(int[] schActivities)` Sets the schActivities value for this SchScenarioSite.
    `void` | `setSchActivitiesNSizeIs(int schActivitiesNSizeIs)` Sets the schActivitiesNSizeIs value for this SchScenarioSite.
    `void` | `setSchAgents(SchScenarioAgent[] schAgents)` Sets the schAgents value for this SchScenarioSite.
    `void` | `setSchAgentsNSizeIs(int schAgentsNSizeIs)` Sets the schAgentsNSizeIs value for this SchScenarioSite.
    `void` | `setWmSiteId(int wmSiteId)` Sets the wmSiteId value for this SchScenarioSite.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### wmSiteId

          private int wmSiteId

      Site ID

    - #### schActivitiesNSizeIs

          private int schActivitiesNSizeIs

      The number of elements in the 'schActivities' array.

    - #### schActivities

          private int[] schActivities

      List of activity identifiers for which the schedule should be built. `CfgActivity`

    - #### schAgentsNSizeIs

          private int schAgentsNSizeIs

      The number of elements in the 'schAgents' array.

    - #### schAgents

          private SchScenarioAgent[] schAgents

      An array of `SchScenarioAgent`, specifying agents in the scenario.

  - ### Constructor Detail

    - #### SchScenarioSite

          public SchScenarioSite()

    - #### SchScenarioSite

          public SchScenarioSite(int wmSiteId,
                         int schActivitiesNSizeIs,
                         int[] schActivities,
                         int schAgentsNSizeIs,
                         SchScenarioAgent[] schAgents)

  - ### Method Detail

    - #### getWmSiteId

          public int getWmSiteId()

      Gets the wmSiteId value for this SchScenarioSite.
      Returns:
        wmSiteId

    - #### setWmSiteId

          public void setWmSiteId(int wmSiteId)

      Sets the wmSiteId value for this SchScenarioSite.
      Parameters:
        `wmSiteId` -

    - #### getSchActivitiesNSizeIs

          public int getSchActivitiesNSizeIs()

      Gets the schActivitiesNSizeIs value for this SchScenarioSite.
      Returns:
        schActivitiesNSizeIs

    - #### setSchActivitiesNSizeIs

          public void setSchActivitiesNSizeIs(int schActivitiesNSizeIs)

      Sets the schActivitiesNSizeIs value for this SchScenarioSite.
      Parameters:
        `schActivitiesNSizeIs` -

    - #### getSchActivities

          public int[] getSchActivities()

      Gets the schActivities value for this SchScenarioSite.
      Returns:
        schActivities

    - #### setSchActivities

          public void setSchActivities(int[] schActivities)

      Sets the schActivities value for this SchScenarioSite.
      Parameters:
        `schActivities` -

    - #### getSchAgentsNSizeIs

          public int getSchAgentsNSizeIs()

      Gets the schAgentsNSizeIs value for this SchScenarioSite.
      Returns:
        schAgentsNSizeIs

    - #### setSchAgentsNSizeIs

          public void setSchAgentsNSizeIs(int schAgentsNSizeIs)

      Sets the schAgentsNSizeIs value for this SchScenarioSite.
      Parameters:
        `schAgentsNSizeIs` -

    - #### getSchAgents

          public SchScenarioAgent[] getSchAgents()

      Gets the schAgents value for this SchScenarioSite.
      Returns:
        schAgents

    - #### setSchAgents

          public void setSchAgents(SchScenarioAgent[] schAgents)

      Sets the schAgents value for this SchScenarioSite.
      Parameters:
        `schAgents` -

Copyright © 2005-2016 Genesys Telecommunications Labs, Inc. All Rights Reserved.